Package com.smartgwt.logicalstructure.widgets

# Class FileDropZoneLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.ButtonLogicalStructure
com.smartgwt.logicalstructure.widgets.LabelLogicalStructure
com.smartgwt.logicalstructure.widgets.DropZoneLogicalStructure
com.smartgwt.logicalstructure.widgets.FileDropZoneLogicalStructure

public class FileDropZoneLogicalStructure extends DropZoneLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String[]`
  `acceptedFileTypes`
  `String`
  `align`
  `String`
  `archiveFileIcon`
  `String`
  `audioFileIcon`
  `String`
  `baseStyle`
  `String`
  `canAddFilesOnClick`
  `String`
  `codeFileIcon`
  `String`
  `defaultFileIcon`
  `String`
  `documentFileIcon`
  `String`
  `imageFileIcon`
  `String`
  `maxFiles`
  `String`
  `maxFileSize`
  `String`
  `maxSize`
  `String`
  `minSize`
  `String`
  `multiple`
  `String`
  `pdfFileIcon`
  `String`
  `removeIcon`
  `String`
  `replaceFilesOnDrop`
  `String`
  `showCancelButton`
  `String`
  `showFileThumbnails`
  `String`
  `showImagePreviews`
  `String`
  `spreadsheetFileIcon`
  `String`
  `thumbnailHeight`
  `String`
  `thumbnailWidth`
  `String`
  `valign`
  `String`
  `videoFileIcon`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.DropZoneLogicalStructure

  `canDropContent, canDropFiles`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.LabelLogicalStructure

  `autoFit, contents, dynamicContents, editProxyConstructor, heightAsString, icon, iconAlign, iconHeight, iconOrientation, iconSize, iconSpacing, iconWidth, showDisabledIcon, showDownIcon, showFocusedIcon, showRollOverIcon, showSelectedIcon, styleName, widthAsString, wrap`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.ButtonLogicalStructure

  `actionType, adaptWidthShowIconOnly, canAdaptWidth, definingProperty, disabledIconCursor, hiliteAccessKey, iconCursor, iconOnlyBaseStyle, iconStyle, overflow, radioGroup, showClippedTitleOnHover, showDisabled, showDown, showFocused, showRollOver, state, title, useSpan`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.StatefulCanvasLogicalStructure

  `ariaLabel, ignoreRTL, labelHPad, labelVPad, overCanvasConstructor, redrawOnStateChange, selected, showFocusedAsOver, showMenuOnClick, showOverCanvas, showRTLIcon, vIconStyle`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canDrag, canDragReposition, canDragResize, canDragScroll, canDrop, canDropBefore, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, keepInParentRectAsString, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, opacity, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, resizeFrom, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showEdges, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showShadow, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useBackMask, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileDropZoneLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### acceptedFileTypes

    public String[] acceptedFileTypes

  - ### align

    public String align

  - ### archiveFileIcon

    public String archiveFileIcon

  - ### audioFileIcon

    public String audioFileIcon

  - ### baseStyle

    public String baseStyle

  - ### canAddFilesOnClick

    public String canAddFilesOnClick

  - ### codeFileIcon

    public String codeFileIcon

  - ### defaultFileIcon

    public String defaultFileIcon

  - ### documentFileIcon

    public String documentFileIcon

  - ### imageFileIcon

    public String imageFileIcon

  - ### maxFiles

    public String maxFiles

  - ### maxFileSize

    public String maxFileSize

  - ### maxSize

    public String maxSize

  - ### minSize

    public String minSize

  - ### multiple

    public String multiple

  - ### pdfFileIcon

    public String pdfFileIcon

  - ### removeIcon

    public String removeIcon

  - ### replaceFilesOnDrop

    public String replaceFilesOnDrop

  - ### showCancelButton

    public String showCancelButton

  - ### showFileThumbnails

    public String showFileThumbnails

  - ### showImagePreviews

    public String showImagePreviews

  - ### spreadsheetFileIcon

    public String spreadsheetFileIcon

  - ### thumbnailHeight

    public String thumbnailHeight

  - ### thumbnailWidth

    public String thumbnailWidth

  - ### valign

    public String valign

  - ### videoFileIcon

    public String videoFileIcon

- ## Constructor Details

  - ### FileDropZoneLogicalStructure

    public FileDropZoneLogicalStructure()